var http = require('http');
var Events = require('events');
var url = require('url');
var extend = require('util').inherits;
var methods = require('./methods');

console.log(methods);

var flame = exports = module.exports = {};

flame.dispatch = function (req, res, cb) {
  if (req.url !== '/favicon.ico') {
    res.setHeader('Content-Type', 'text/html');

    var parsed = url.parse(req.url);
    this.emit(parsed.path, req, res);
  }
}

flame.listen = function () {
  var server = http.createServer(this);
  return server.listen.apply(server, arguments);
}


methods.concat('all').forEach(function (method) {
  flame[method] = function (path, next) {
    this.on(path, function (req, res) {
      next(req, res);
    });
  }
});